import { ModelConditionUtil, FieldUtil, TableUtilImpl } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-13 11:02
 */
interface SysUserDemo {
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 姓名
    * @type { string }
    */
    name?: string;
}
interface SysUserDemoMCU extends ModelConditionUtil<SysUserDemoMCU> {
    ID: FieldUtil<SysUserDemoMCU>;
    NAME: FieldUtil<SysUserDemoMCU>;
}
declare class SysUserDemoMU extends TableUtilImpl<SysUserDemoMCU, SysUserDemo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: any;
    joinTables: any[];
    subTables: any[];
    createModelConditionUtil(): SysUserDemoMCU;
    static get ID(): FieldUtil<SysUserDemoMCU>;
    static get NAME(): FieldUtil<SysUserDemoMCU>;
    get ID(): FieldUtil<SysUserDemoMCU>;
    get NAME(): FieldUtil<SysUserDemoMCU>;
}
export { SysUserDemo, SysUserDemoMU };
